jq(function() {

	deleteComment();
	answerComment();
	lockComment();
	unlockComment();
 
});


function deleteComment() {

	jq(".comments .item .delete").click(function(){
		
		var id = jq(this).parent().parent().attr('id');
		
        jq.ajax({
            url: '/services/uc_action?moderator=1&act=delete&id='+id,
            dataType: "text",
            success: function(data){
				
				jq(".comments #" + id).hide();
				
            } 
        });			
	
	});
}


function lockComment(){
	
	jq(".comments .item .lock").click(function(){
		
		var id = jq(this).parent().parent().attr('id');
		
        jq.ajax({
            url: '/services/uc_action?xml&moderator=1&act=hide&id='+id,
            dataType: "text",
            success: function(data){
				
			jq("#"+id).find(".lock").addClass("unlock");
			jq("#"+id).find(".unlock").removeClass("lock");					
			jq("#"+id+" .unlock").attr("src","/i/comments_locked.gif");
			
			unlockComment();
				
            } 
        });
			
	});	
	
}


function unlockComment(){
	
	jq(".comments .item .unlock").click(function(){
		
		var id = jq(this).parent().parent().attr('id');
		
        jq.ajax({
            url: '/services/uc_action?xml&moderator=1&act=unhide&id='+id,
            dataType: "text",
            success: function(data){
				
			jq("#"+id).find(".unlock").addClass("lock");
			jq("#"+id).find(".lock").removeClass("unlock");
			jq("#"+id+" .lock").attr("src","/i/comments_unlocked.gif");
				
			lockComment();	
            } 
        });			
		
	});	
	
}


function answerComment(){
	
	jq(".comments .item .answerbutton").click(function(){
		
		var id = jq(this).parent().attr('id');
		
		jq(".answerform_id").val(id);
		jq(".answerform_name").val('Moderator');
		jq(".answerform_moderator").val('1');
		
		jq("#answerform").parent().find(".answerbutton:hidden").show();
		
		jq("#"+id+" .comment").after(jq("#answerform"));
		
		jq("#answerform").removeClass("invisible");
		jq("#answerform").addClass("visible");
		
		jq(this).hide();
		
	});
	
	
}
